/*
    RdfsUpdate: A research tool for RDFS data
    Copyright (C) 2009-2011 Eindhoven University of Technology - www.tue.nl
    Copyright (C) 2009-2011 Wouter Haffmans <wouter@simply-life.net>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef RDFS_RDFSCHAINCOMMAND_H
#define RDFS_RDFSCHAINCOMMAND_H

#include "../rdfscommand.h"
#include "../rdfsbackend.h"


namespace Rdfs {

class RdfsChainCommand : public Rdfs::RdfsCommand
{
protected:
    /**
     * Traverse a tree of a given predicate (e.g. sp, sc). Optionally define
     * a root to start from.
     *
     * @param predicate The predicate item of triples in the tree to traverse
     * @param table The table to search in
     * @param root The optional root to start from
     */
    void traverse(const QString& predicate, Rdfs::RdfsTable table = RDFS_ORIGINAL, const QString &root = QString());
    virtual void foundChain(const QList<QString> &atoms, const QString &predicate) {};
    virtual void startChain(const Triple &t) {};
    virtual void skipTriple(const Triple &t) {};

public:
    RdfsChainCommand(Rdfs::RdfsUpdate* parent);
    virtual ~RdfsChainCommand();
};

}

#endif // RDFS_RDFSCHAINCOMMAND_H
