/*
    RdfsUpdate: A research tool for RDFS data
    Copyright (C) 2009-2011 Eindhoven University of Technology - www.tue.nl
    Copyright (C) 2009-2011 Wouter Haffmans <wouter@simply-life.net>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#include "rdfslistoptions.h"

#include "../rdfsupdate.h"
#include "../rdfslogger.h"

using namespace Rdfs;

bool RdfsListOptions::exec(const QStringList& arguments)
{
    QStringList options = framework()->store()->options();

    if (options.isEmpty()) {
        RdfsLogger::instance()->log(tr("The current back-end does not support options."));
        return true;
    }

    RdfsLogger::instance()->log(tr("The following keys are supported:"));
    Q_FOREACH(QString o, options) {
        RdfsLogger::instance()->log("* " + o);
    }

    return true;
}

RdfsListOptions::RdfsListOptions(Rdfs::RdfsUpdate* parent): RdfsCommand(parent)
{

}

RdfsListOptions::~RdfsListOptions()
{

}

