/*
    RdfsUpdate: A research tool for RDFS data
    Copyright (C) 2009-2011 Eindhoven University of Technology - www.tue.nl
    Copyright (C) 2009-2011 Wouter Haffmans <wouter@simply-life.net>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef RDFS_RDFSSTATS_H
#define RDFS_RDFSSTATS_H

#include "../rdfscommand.h"
#include "../cachestats.h"

namespace Rdfs {

class RdfsStats : public Rdfs::RdfsCommand
{
    Q_OBJECT

public:
    RdfsStats(RdfsUpdate* parent);
    virtual ~RdfsStats();

    virtual bool exec(const QStringList& arguments);
    virtual QString checkArguments(const QStringList& arguments) const;

    void print();
    void print(const CacheStats &statistics);

    virtual bool requireConnection() const
        { return true; }
    virtual QList< Rdfs::CommandParameter > arguments() const
        { return QList<CommandParameter>(); };
    virtual QStringList aliases() const
        { return QStringList() << "st"; };
    virtual QString description() const
        { return tr("Get current cache statistics from the back-end"); };
    virtual QString name() const
        { return "stats"; };
};

}

#endif // RDFS_RDFSSTATS_H
