/*
    RdfsUpdate: A research tool for RDFS data
    Copyright (C) 2009-2011 Eindhoven University of Technology - www.tue.nl
    Copyright (C) 2009-2011 Wouter Haffmans <wouter@simply-life.net>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#include "rdfsrule.h"

using namespace Rdfs;

Rdfs::RdfsRule::RdfsRule()
{
}

QString RdfsRule::map(RhoDF original)
{
    if (m_termMap.contains(original)) {
        return m_termMap.value(original);
    }
    return QString();
}

bool RdfsRule::containsMap(RhoDF original)
{
    return m_termMap.contains(original);
}


void Rdfs::RdfsRule::setMap(RhoDF original, QString term)
{
    m_termMap.insert(original, term);
}

void Rdfs::RdfsRule::removeMap(RhoDF original)
{
    m_termMap.remove(original);
}

Rdfs::RdfsRule::~RdfsRule()
{
    m_termMap.clear();
}
