/*
    RdfsUpdate: A research tool for RDFS data
    Copyright (C) 2009-2011 Eindhoven University of Technology - www.tue.nl
    Copyright (C) 2009-2011 Wouter Haffmans <wouter@simply-life.net>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef RDFS_TYPERULE_H
#define RDFS_TYPERULE_H

#include "rdfsrule.h"

namespace Rdfs {

class RdfsCursor;

class TypeRule : public RdfsRule
{
private:
    RdfsBackend *m_store;
    RdfsTable m_table;
    void setAttribute(QString node, QString attribute, QString value);
    RdfsCursor *predicateCursor(QString predicate);
    RdfsCursor *attributeCursor(QString attribute);
    bool haveNode(QString node, QString predicate);

public:
    TypeRule();
    virtual ~TypeRule();

    virtual bool check(Triple t, RdfsTable table, RdfsBackend* store);
};

}

#endif // RDFS_TYPERULE_H
