/*
    RdfsUpdate: A research tool for RDFS data
    Copyright (C) 2009-2011 Eindhoven University of Technology - www.tue.nl
    Copyright (C) 2009-2011 Wouter Haffmans <wouter@simply-life.net>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef RDFS_RDFSVIRTUOSO_H
#define RDFS_RDFSVIRTUOSO_H

#include "rdfssoprano.h"

namespace Soprano {
    class Backend;
}

namespace Rdfs {

class RdfsVirtuoso : public RdfsSoprano
{
private:
    const Soprano::Backend *m_backend;

public:
    explicit RdfsVirtuoso(const QString &path);
    explicit RdfsVirtuoso(const QString &host, int port, const QString &username, const QString &password);

    virtual ~RdfsVirtuoso();

    virtual int capabilities() const;

};

}

#endif // RDFS_RDFSVIRTUOSO_H
